/**
 * Copyright &copy; 2021-2026 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.sys.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.UserDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户Entity
 *
 * @author jeeplus
 * @version 2021-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("work_attachment")
public class WorkAttachmentInfo extends BaseEntity {

    private String by;

    private UserDTO createBy;

    private String name;

    private String size;

    private static final long serialVersionUID = 1L;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 文件类型（文件后缀名）
     */
    private String type;

    /**
     * 附件对应父节点id(记录是谁的id)
     */
    private String attachmentId;

    /**
     * 文件名
     */
    private String attachmentName;

    /**
     * 文件所属业务模块（数据字典配置）
     */
    private String attachmentFlag;

    /**
     * 所属模块子模块
     */
    private String moduleType;

    /**
     * 附件类型
     */
    private String attachmentType;

    /**
     * 附件大小
     */
    private String fileSize;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 文件描述
     */
    private String description;

    /**
     * 嘉溢项目外审附件类型
     */
    private String jyFileType;

    /**
     * 附件临时地址
     *该属性不是实体字段
     */
    @TableField(exist = false)
    private String temporaryUrl;
}
