package com.jeeplus.sys.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: 徐滕
 * @version: 2023-07-10 09:20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class WorkAttachmentInfoDTO extends BaseDTO {

    private String name;

    private String size;

    private String by;

    private static final long serialVersionUID = 1L;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 文件类型（文件后缀名）
     */
    private String type;

    /**
     * 附件对应父节点id(记录是谁的id)
     */
    private String attachmentId;

    /**
     * 文件名
     */
    private String attachmentName;

    /**
     * 文件所属业务模块（数据字典配置）
     */
    private String attachmentFlag;

    /**
     * 所属模块子模块
     */
    private String moduleType;

    /**
     * 附件类型
     */
    private String attachmentType;

    /**
     * 附件大小
     */
    private String fileSize;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 文件描述
     */
    private String description;

    /**
     * 附件临时地址
     *该属性不是实体字段
     */
    @TableField(exist = false)
    private String temporaryUrl;

    /**
     * 嘉溢外审附件类型
     */
    private String jyFileType;


}
