package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.AssessApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author: 王强
 * @create: 2023-07-26 17:01
 **/
@FeignClient(contextId = "assessApi", name = AppNameConstants.APP_ASSESS_MODULES, fallbackFactory = AssessApiFallbackFactory.class)
public interface IAssessApi {

    /**
     * 修改报告归档 归档状态信息
     * @param id
     * @param archiveStatus
     * @param overArchiveStatus
     */
    @GetMapping(value = "/program/projectList/updateArchiveStatus")
    void updateArchiveStatus(@RequestParam(value = "id")String id,
                             @RequestParam(value = "archiveStatus")String archiveStatus,
                             @RequestParam(value = "overArchiveStatus")String overArchiveStatus);

    /**
     * 查询项目签发单完成后3天未归档项目信息
     * @return
     */
    @GetMapping(value = "/program/projectList/getOverdueFilingProjectList")
    String getOverdueFilingProjectList();
}
