package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.AssessApiFallbackFactory;
import com.jeeplus.flowable.factory.JyProjectApiFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.context.annotation.Primary;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
@Primary
@FeignClient(contextId = "jyProjectApi", name = AppNameConstants.APP_JYPROJECT_MODULES, fallbackFactory = JyProjectApiFallbackFactory.class)
public interface IJyProjectApi {

    /**
     * 查询项目一级校审中逾期未发起的项目
     */
    @GetMapping(value = "/jyProject/selectAudit")
    String selectAudit();

    @GetMapping(value = "/jyProject/selectAuditInTime")
    public String selectAuditInTime();

    /**
     * 修改一级校审逾期状态
     */
    @GetMapping(value = "/jyProject/updateStatus")
    void updateStatus(@RequestParam(value = "id") String id,@RequestParam(value = "status")String status,@RequestParam(value = "exceedTimeStatus")String exceedTimeStatus);

    /**
     * 查询用印信息
     * @return
     */
    @GetMapping("/useSeal/findSeal")
    String findSeal();

    /**
     * 查询用印未逾期信息
     */
    @GetMapping("/useSeal/findSealInTime")
    String findSealInTime();

    /**
     * 修改外审状态
     * @param id
     */
    @GetMapping(value = "/useSeal/updateSealStatus")
    void updateSealStatus(@RequestParam(value = "id") String id,@RequestParam(value = "status") String status,@RequestParam(value = "exceedTimeStatus") String exceedTimeStatus);


    /**
     * 查询报批签发逾期的数据
     */
    @GetMapping(value = "/jyProject/findReportsSubmitListExccedTime")
    String findReportsSubmitListExccedTime();

    /**
     * 查找报批签发未逾期的数据
     */

    @GetMapping(value = "/jyProject/findReportsSubmitListInTime")
    String findReportsSubmitListInTime();

    /**
     * 修改报批签发逾期的状态
     */
    @GetMapping(value = "/jyProject/updateExceedTimeStatus")
    void updateExceedTimeStatus(@RequestParam(value = "id")String id,@RequestParam(value = "status")String status,@RequestParam(value = "exceedTimeStatus")String exceedTimeStatus);


}
