package com.jeeplus.mail.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.sys.factory.DictApiFallbackFactory;
import com.jeeplus.sys.service.dto.UserDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@FeignClient(contextId = "mailApi", name = AppNameConstants.APP_SYSTEM_SERVICE, fallbackFactory = DictApiFallbackFactory.class)
public interface IMailApi {
    /**
     * 获取租户Id
     *
     * @return
     */
    @GetMapping(value = "/feign/mail/sendEmail")
    void sendEmail(List <UserDTO> receivers, @RequestParam(value = "title", required = false) String title, @RequestParam(value = "content", required = false) String content);

}
