package com.jeeplus.sys.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.sys.factory.TenantApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "configApi", name = AppNameConstants.APP_SYSTEM_SERVICE, fallbackFactory = TenantApiFallbackFactory.class)
public interface IConfigApi {
    /**
     * 获取租户Id
     *
     * @return
     */
    @GetMapping(value = "/feign/sys/config/getProductName")
    String getProductName(@RequestParam("tenantId") String tenantId);


}
