package com.jeeplus.sys.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.sys.domain.DictValue;
import com.jeeplus.sys.factory.DictApiFallbackFactory;
import com.jeeplus.sys.service.dto.DictValueDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(contextId = "dictApi", name = AppNameConstants.APP_SYSTEM_SERVICE, fallbackFactory = DictApiFallbackFactory.class)
public interface IDictApi {
    /**
     * 获取字典值
     *
     * @return
     */
    @GetMapping(value = "/feign/sys/dict/getDictValue")
    String getDictValue(@RequestParam(value = "label") String label, @RequestParam(value = "type") String type, @RequestParam(value = "defaultValue", required = false) String defaultValue);

    /**
     * 获取字典标签
     *
     * @param value
     * @param type
     * @param defaultLabel
     * @return
     */
    @GetMapping(value = "/feign/sys/dict/getDictLabel")
    String getDictLabel(@RequestParam(value = "value") String value, @RequestParam(value = "type") String type, @RequestParam(value = "defaultLabel", required = false) String defaultLabel);

    /**
     * 获取字典标签
     *
     * @param dict
     * @return
     */
    @GetMapping(value = "/feign/sys/dict/getDictMap")
    String getDictMap(@RequestParam(value = "dict") String dict);

    /**
     * 根据id获取字典
     * @param dictValueId
     * @return
     */
    @GetMapping(value ="/feign/sys/dict/queryDictValue")
    DictValue queryDictValue(@RequestParam(value = "id")String dictValueId);
}
