package com.jeeplus.sys.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.sys.factory.RoleApiFallbackFactory;
import com.jeeplus.sys.service.dto.RoleDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "roleApi", name = AppNameConstants.APP_SYSTEM_SERVICE, fallbackFactory = RoleApiFallbackFactory.class)
public interface IRoleApi {
    /**
     * 获取角色
     *
     * @return
     */
    @GetMapping(value = "/feign/sys/role/getRoleDTOByName")
    RoleDTO getRoleDTOByName(@RequestParam(value = "name") String name);
    /**
     * 获取角色
     *
     * @return
     */
    @GetMapping(value = "/feign/sys/role/getRoleDTOById")
    RoleDTO getRoleDTOById(@RequestParam(value = "id") String id);

}
