package com.jeeplus.sys.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.sys.factory.TenantApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(contextId = "tenantApi", name = AppNameConstants.APP_SYSTEM_SERVICE, fallbackFactory = TenantApiFallbackFactory.class)
public interface ITenantApi {
    /**
     * 获取租户Id
     *
     * @return
     */
    @GetMapping(value = "/feign/sys/tenant/getCurrentTenantId")
    String getCurrentTenantId();

}
