package com.jeeplus.sys.service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 组织机构-人员资质-人员职业资格证
 * @TableName sys_cert
 */
@Data
public class CertDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 证书类型
     */
    private String type;

    /**
     * 证书编号
     */
    private String no;

    /**
     * 发证机关
     */
    private String authorities;

    /**
     * 发证日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date issuedDate;

    /**
     * 注册日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date enrollDate;

    /**
     * 到期日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expireDate;

    /**
     * 注册证书编号
     */
    private String enrollCertNo;

    /**
     * 专业
     */
    private String profession;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 文件临时地址
     */
    private String fileLsUrl;

    private static final long serialVersionUID = 1L;



    private String certType;
}
