package com.jeeplus.auth;

import com.baomidou.mybatisplus.autoconfigure.MybatisPlusAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@EnableCaching
@EnableDiscoveryClient
@EnableFeignClients({"com.jeeplus.*"})
@SpringBootApplication(scanBasePackages = {"com.jeeplus", "cn.hutool.extra.spring"}, exclude = {
        DataSourceAutoConfiguration.class,
        MybatisPlusAutoConfiguration.class,
        org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class
}
)
public class JeeplusAuthApplication {

    public static void main(String[] args) {
        SpringApplication.run ( JeeplusAuthApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 权限系统模块启动成功 ^_^ﾞ  \n" + "    _                         _                                   _     _     \n" +
                "   (_)                       | |                                 | |   | |    \n" +
                "    _    ___    ___   _ __   | |  _   _   ___      __ _   _   _  | |_  | |__  \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|    / _` | | | | | | __| | '_ \\ \n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   | (_| | | |_| | | |_  | | | |\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/    \\__,_|  \\__,_|  \\__| |_| |_|\n" +
                "  _/ |               | |                                                      \n" +
                " |__/                |_|                                                      " );

    }
}
