package com.jeeplus.gateway;

import com.baomidou.mybatisplus.autoconfigure.MybatisPlusAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;

/**
 * 网关启动程序
 *
 * @author jeeplus
 */
@EnableWebSecurity
@EnableDiscoveryClient
@EnableFeignClients({"com.jeeplus.*"})
@SpringBootApplication(scanBasePackages = {"com.jeeplus", "cn.hutool.extra.spring"}, exclude = {
//        DruidDataSourceAutoConfigure.class,
        DataSourceAutoConfiguration.class,
        MybatisPlusAutoConfiguration.class,
        org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class
}
)
public class JeeplusGatewayApplication {

    public static void main(String[] args) throws Exception {
        SpringApplication.run ( JeeplusGatewayApplication.class, args );
        System.out.println ( " O(∩_∩)O~ JEEPLUS网关启动成功 ^_^ﾞ  \n" +
                "       _                     _                 _____         _                               \n" +
                "      | |                   | |               / ____|       | |                              \n" +
                "      | |  ___   ___  _ __  | | _   _  ___   | |  __   __ _ | |_  ___ __      __ __ _  _   _ \n" +
                "  _   | | / _ \\ / _ \\| '_ \\ | || | | |/ __|  | | |_ | / _` || __|/ _ \\\\ \\ /\\ / // _` || | | |\n" +
                " | |__| ||  __/|  __/| |_) || || |_| |\\__ \\  | |__| || (_| || |_|  __/ \\ V  V /| (_| || |_| |\n" +
                "  \\____/  \\___| \\___|| .__/ |_| \\__,_||___/   \\_____| \\__,_| \\__|\\___|  \\_/\\_/  \\__,_| \\__, |\n" +
                "                     | |                                                                __/ |\n" +
                "                     |_|                                                               |___/ " );

    }
}
