package com.jeeplus.assess.proofread.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.assess.proofread.domain.ProofreadDetail;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class ProofreadInfoDto extends BaseEntity {

    /**
     * 类型
     */
    private String type;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 评估基准日
     */
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date assessmentDate;

    /**
     * 项目负责人
     */
    @TableField(exist = false)
    private String projectManagerName;

    /**
     * 项目审批人
     */
    private String processUserId;

    /**
     * 项目审批人
     */
    private String processUserName;

    /**
     * 审核日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date processDate;

    /**
     * 保留意见
     */
    private String reservations;

    /**
     * 未修改意见
     */
    private String unmodifiedComments;

    /**
     * 明细表
     */
    private List<ProofreadDetail> details;

    /**
     * 序号
     */
    @TableField(exist = false)
    private String serialNumber;

}
