package com.jeeplus.business.goOut.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("jy_go_out")
public class GoOut extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 关联项目id
     */
    private String projectId;

    /**
     * 出差人员id
     */
    private String OutMen;

    /**
     * 出差起使时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 出差截至时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 流程id
     */
    private String procInsId;
    /**
     * 流程信息
     */
    private String processDefinitionId;
    @TableField(exist = false)
    private String taskId;

    /**
     * 状态
     */
    private String status;

    /**
     * 出差原因
     */
    private String outReason;

    /**
     * 目的地
     */
    private String targetCity;
}
