package com.jeeplus.business.humanResources.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.humanResources.domain.RegularApply;
import com.jeeplus.business.humanResources.domain.StaffUserInfo;
import com.jeeplus.business.humanResources.service.dto.StaffUserInfoDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper

public interface StaffUserInfoMapper extends BaseMapper<StaffUserInfo> {
    IPage<StaffUserInfoDTO> findPageList(@Param(Constants.WRAPPER) QueryWrapper<StaffUserInfoDTO> queryWrapper, Page<StaffUserInfoDTO> page);

    StaffUserInfoDTO findById(@Param("id") String id);

    List<WorkAttachmentInfo> findDtos(@Param("id") String id,@Param("attachmentFlag") String attachmentFlag);

    void updatestatusById(@Param("type") String type, @Param("id") String id);

    RegularApply findByApplyId(@Param("id")String id);

    void updateStatusByApplyId(@Param("id")String id, @Param("status")String status);
    @InterceptorIgnore(tenantLine = "true")
    List<StaffUserInfoDTO> getList();
}
