package com.jeeplus.business.humanResources.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 员工离职表
 */
@Data
@TableName("staff_dimission")
public class StaffDimissionDTO extends BaseEntity {

    //离职原因
    @Excel(name = "离职原因",width = 25)
    private String reason;

    //离职日期
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "离职日期",width = 25,exportFormat = "yyyy-MM-dd")
    private Date dimissionDate;
    @Excel(name = "离职状态",width = 25,dict = "program_project_list_info_status")
    private String status;                //流程状态
    private String procInsId;
    private String processDefinitionId;

    private String taskId;
    @Excel(name = "部门",width = 25)
    private String officeName;

    private List<WorkAttachmentInfo> files;

    //离职日期
    private String[] dates;
    @Excel(name = "姓名",width = 25)
    private String createName;
    @Excel(name = "创建日期",width = 25,exportFormat = "yyyy-MM-dd")
    private Date createTime;

    private String officeId;

    //交接信息
    @Excel(name = "交接状态",width = 25,dict = "program_project_list_info_status")
    private String heirStatus;
    private String procInsIdHeir;
    private String procsDefIdHeir;
    private String taskIdHeir;
    private String heirId;
}
