package com.jeeplus.business.inscription.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.jeeplus.business.project.domain.JyProject;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class InscriptionDTO extends BaseEntity {

    /**
     * 关联项目
     */
    private String projectId;
    @Excel(name = "项目",width = 16)
    private String projectName;
    private List<JyProject> projectList;

    /**
     * 黑白页数量
     */
    private Integer normalPage;

    /**
     * 彩页数量
     */
    private Integer colorPage;

    /**
     * 装订数量
     */
    private Integer bookbindingNum;

    /**
     * 其他
     */
    private Integer otherNum;

    /**
     * 文印内容
     */
    private String content;

    /**
     * 部长
     */
    private String minister;

    /**
     * 核准人
     */
    private String examiner;

    //批准人
    private String approver;

    //流程
    private String procInsId;
    private String processDefinitionId;
    private String taskId;

    //状态
    private String status;

    //申请人部门
    private String officeId;
    @Excel(name = "申请人部门",width = 16)
    private String officeName;
    @Excel(name = "申请人",width = 16)
    private String createName;
    @Excel(name = "申请时间",width = 16,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Excel(name = "状态",width = 16)
    private String inscriptionStatus;

    //申请时间
    private String[] createDates;

    private List<WorkAttachmentInfo> files;

    //总页数
    private Integer pageTotal;

    private String projectNo;


}
