package com.jeeplus.business.meetingRoom.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Time;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("jy_meeting_room")
public class MeetingRoom extends BaseEntity {

    private String id;

    /**
     * 标题
     */
    @Excel(name = "标题",width = 16)
    private String title;
    @Excel(name = "会议开始时间",width = 16,exportFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date roomDateTime;
    @Excel(name = "会议时长",width = 16)
    private String longTime;

    /**
     * 会议开始,结束时间,开始日期
     */
    private Time startTime;

    private Time endTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private String startDate;

    @TableField(exist = false)
    private String startDateTime;

    /**
     * 会议时长
     */
    private Integer duration;

    /**
     * 会议说明
     */
    private String remarks;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;
    @TableField(exist = false)
    private String taskId;

    /**
     * 状态
     */
    private String status;


    /**
     * 创建时间
     */
    @TableField(exist = false)
    private String[] meetingDates;

    /**
     * 创建人
     */
    @TableField(exist = false)
    @Excel(name = "会议发起人",width = 16)
    private String createName;
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发起时间",width = 16,exportFormat = "yyyy-MM-dd")
    private Date createDate;

    /**
     * 部门
     */
    @TableField(exist = false)
    private String officeId;
    @TableField(exist = false)
    @Excel(name = "发起人部门",width = 16)
    private String officeName;
    @TableField(exist = false)
    @Excel(name = "状态",width = 16)
    private String roomTypeName;

    private static final long serialVersionUID = 1L;






}
