package com.jeeplus.business.monthly.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.business.monthly.domain.JyProcess;
import com.jeeplus.business.project.service.dto.JyProjectDTO;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class MonthlyDTO extends BaseEntity {
    /**
     * 月报名称
     */
    @Excel(name = "月报名称",width = 25)
    private String name;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 是否提交 0:未提交  1:已提交
     */
    private String ifsubmit;


    /**
     * 发起人部门
     */
    private String officeId;

    /**
     * 发起时间
     */
    private String[] createDates;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 月报时间(年月)
     */
    @Excel(name = "月报时间",width = 16)
    private String monthDate;

    /**
     * 项目情况
     */
    private String projectStatus;

    /**
     * 项目列表
     */
    private List<JyProcess> processList;

    @Excel(name = "申请人",width = 16)
    private String createName;
    @Excel(name = "申请部门",width = 16)
    private String officeName;

    @Excel(name = "申请时间",width = 16,exportFormat = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 附件
     */
    private List<WorkAttachmentInfo> files;

}
