package com.jeeplus.business.payment.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("jy_payment")
public class Payment extends BaseEntity {

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 付款编号
     */
    private String no;

    /**
     * 收款类别
     */
    private String proceedType;

    //税号
    private String dutyNumber;

    //累计已支付金额
    private String amountPaid;

    //付款理由或用途
    private String reason;

    //付款金额(小写)
    private String paymentLower;

    //付款金额(大写)
    private String payment;

    //付款方式
    private String paymentType;

    //付款摘要
    private String remarks;

    //状态
    private String status;

    //流程
    private String procInsId;
    private String processDefinitionId;

    //对冲金额
    private String refund;

    //剩余付款额度
    private String finalMoney;

    //收款单位
    private String proceedOfficeId;

    //付款人
    private String paymentUser;

    //付款时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date paymentTime;

    /**
     * 开户银行及银行账号
     */
    private String ourBank;
    private String bankNumber;

}
