package com.jeeplus.business.project.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@TableName("jy_project_record")
public class JyProject extends BaseEntity implements Serializable {
    //项目编号（字典值）
    public static final String BIZ_CODE = "36";


    /**
     * 项目名称
     */
    @Excel(name = "项目名称",width = 16)
    private String name;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号",width = 16)
    private String no;

    /**
     * 合同id
     */
    private String contractId;

    /**
     * 登记状态
     */
    private String status;

    /**
     * 一审状态
     */
    private String firstInstanceStatus;

    /**
     * 二审状态
     */
    private String secondInstanceStatus;

    /**
     * 三审状态
     */
    private String thirdInstanceStatus;

    /**
     * 报告签发
     */
    private String reportIssuance;

    /**
     * 外审
     */
    private String outInstance;

    /**
     * 报批签发
     */
    private String reportsSubmit;

    /**
     * 归档状态
     */
    private String reviewStatus;

    /**
     * 合同情况(1:有合同  0:无合同)
     */
    private String contractStatus;

    /**
     * 项目所在地
     */
    private String projectPlace;

    /**
     * 建设地点
     */
    private String buildPlace;

    /**
     * 工程概况
     */
    private String projectOverview;

    /**
     * 特殊要求
     */
    private String special;


    /*
    流程id
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 关联合同下的项目排序
     */
    private String contractProjectNo;

    /**
     * 合同名称
     */
    @Excel(name = "合同名称",width = 16)
    private String contractName;

    /**
     * 委托方
     */
    private String client;

    /**
     * 委托方名称
     */
    private String clientName;

    /**
     * 项目负责人
     */
    @Excel(name = "负责人",width = 16)
    private String projectLeader;

    /**
     * 环评资质状态
     */
    private String eiaStatus;

    /**
     * 创建时间
     */
    @TableField(exist = false)
    private String[] createDates;

    /**
     * 创建人id
     */
    @TableField(exist = false)
    private String createBy;

    /**
     * 项目登记  taskId
     */
    @TableField(exist = false)
    private String taskId;

    /**
     * 数据审核人  项目登记
     */
    @TableField(exist = false)
    private List<String> auditUserIds;

    /**
     * 著委托方
     */
    @TableField(exist = false)
    @Excel(name = "主委托方",width = 16)
    private String primaryLinkman;

    @Excel(name = "创建人",width = 16)
    private String createById;
    @Excel(name = "创建时间",width = 16,exportFormat = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 合同参数
     */
    @TableField(exist = false)
    private String contractAmount;
    @TableField(exist = false)
    private String contractType;
    @TableField(exist = false)
    private String contractTypeFirst;
    @TableField(exist = false)
    private String contractTypeFirstValue;

    /**
     * 联系人
     */
    @TableField(exist = false)
    private String phone;
    @TableField(exist = false)
    private String mobile;
    @TableField(exist = false)
    private String position;
    @TableField(exist = false)
    private String linkId;
    @TableField(exist = false)
    private String projectId;

    /**
     * 一级校审id
     */
    @TableField(exist = false)
    private String auditId1;

    /**
     * 二级校审id
     */
    @TableField(exist = false)
    private String auditId2;

    /**
     * 三级校审id
     */
    @TableField(exist = false)
    private String auditId3;

    /**
     * 一级校审流程id
     */
    @TableField(exist = false)
    private String procInsId1;

    /**
     * 二级校审流程id
     */
    @TableField(exist = false)
    private String procInsId2;

    /**
     * 三级校审流程id
     */
    @TableField(exist = false)
    private String procInsId3;

    /**
     * 一级校审  taskId
     */
    @TableField(exist = false)
    private String taskIdAudit1;

    /**
     * 二级校审  taskId
     */
    @TableField(exist = false)
    private String taskIdAudit2;

    /**
     * 三级校审  taskId
     */
    @TableField(exist = false)
    private String taskIdAudit3;

    /**
     * 数据审核人  一级校审
     */
    @TableField(exist = false)
    private String auditUserIds1;

    /**
     * 数据审核人  二级校审
     */
    @TableField(exist = false)
    private String auditUserIds2;

    /**
     * 数据审核人  三级校审
     */
    @TableField(exist = false)
    private String auditUserIds3;

    /**
     * 超期状态
     */
    private String exceedTimeStatus;
    @TableField(exist = false)
    private String place;
    @TableField(exist = false)
    private String leader;

    @TableField(exist = false)
    private String auditOffice;

    /**
     * 用印id
     */
    @TableField(exist = false)
    private String sealId;

    /**
     * 外审信息
     */
    @TableField(exist = false)
    private String outInstanceId;
    @TableField(exist = false)
    private String procInsIdOut;
    @TableField(exist = false)
    private String taskIdOut;

    /**
     * 报批签发
     */
    @TableField(exist = false)
    private String reportsSubmitId;
    @TableField(exist = false)
    private String procInsIdReports;
    @TableField(exist = false)
    private String taskIdReports;

    /**
     * 归档
     */
    @TableField(exist = false)
    private String archiveId;
    @TableField(exist = false)
    private String procInsIdArchive;
    @TableField(exist = false)
    private String taskIdArchive;


    /**
     * 环评资质
     */
    @TableField(exist = false)
    private String eiaId;
    @TableField(exist = false)
    private String procInsIdEia;
    @TableField(exist = false)
    private String taskIdEia;

    //合同编号
    @TableField(exist = false)
    private String contractNo;

    @TableField(exist = false)
    @Excel(name = "成员数量(人)",width = 16)
    private String memberCount;


    @TableField(exist = false)
    @Excel(name = "登记状态",width = 16)
    private String projectTypeName;
    @TableField(exist = false)
    @Excel(name = "一级校审",width = 16)
    private String firstTypeName;
    @TableField(exist = false)
    @Excel(name = "二级校审",width = 16)
    private String secondTypeName;
    @TableField(exist = false)
    @Excel(name = "三级校审",width = 16)
    private String thirdTypeName;
    @TableField(exist = false)
    @Excel(name = "报告签发",width = 16)
    private String issuanceTypeName;
    @TableField(exist = false)
    @Excel(name = "环评资质",width = 16)
    private String eiaTypeName;
    @TableField(exist = false)
    @Excel(name = "外审",width = 16)
    private String outTypeName;
    @TableField(exist = false)
    @Excel(name = "报批签发",width = 16)
    private String submitTypeName;
    @TableField(exist = false)
    @Excel(name = "项目归档",width = 16)
    private String archiveTypeName;




}
