package com.jeeplus.business.project.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@TableName("jy_project_audit")
public class JyProjectAudit extends BaseEntity {

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 校审级别
     */
    private String auditLevel;

    /**
     * 审核人
     */
    private String auditPeople;

    /**
     * 项目审核通过时间
     */
    private Date projectAgreeTime;

    /**
     * 初始审核意见
     */
    private String initialAuditOpinion;

    /**
     * 初始修改意见
     */
    private String initialEditOpinion;

    /**
     * 审核意见
     */
    private String auditOpinion;

    /**
     * 修改意见
     */
    private String editOpinion;

    /**
     * 流程id,流程信息
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 超期状态(0:未超期;1:超期)
     */
    private String exceedTimeStatus;

    /**
     * 附件信息
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfo> workAttachmentDtoList;

    @TableField(exist = false)
    private String projectName;
    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private String projectProId;
    @TableField(exist = false)
    private String projectDeId;

    private static final long serialVersionUID = 1L;




}
