package com.jeeplus.business.project.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.project.domain.JyProjectOutinstance;
import com.jeeplus.business.project.service.dto.JyProjectOutinstanceDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JyProjectOutinstanceMapper extends BaseMapper<JyProjectOutinstance> {
    JyProjectOutinstanceDTO findById(@Param("id") String id);

    List<WorkAttachmentInfoDTO> findDtos(@Param("id")String id);
    @InterceptorIgnore(tenantLine = "true")
    JyProjectOutinstance findByProjectId(@Param("projectId") String s);

    void updateOutInstanceStatus(@Param("id") String id,@Param("status") String status,@Param("exceedTimeStatus") String exceedTimeStatus);

    /**
     * 根据文件attachmentId 和moduleType 查询附件信息
     * @param attachmentId
     * @param moduleType
     * @return
     */
    List<WorkAttachmentInfoDTO> getFileListByAttachmentAndModuleType(@Param("attachmentId")String attachmentId , @Param("moduleType")String moduleType);
}
