package com.jeeplus.business.project.service.dto;

import com.jeeplus.business.project.domain.JyProject;
import com.jeeplus.business.workContractInfo.domain.JyWorkContractInfo;
import com.jeeplus.business.workContractInfo.service.dto.JyWorkContractInfoDto;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class JyProjectAuditDTO extends BaseDTO {
    //校审id1
    private String id1;
    //校审id2
    private String id2;
    //校审id3
    private String id3;

    /**
     * 创建人
     */
    private String createById;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 校审级别
     */
    private String auditLevel;

    /**
     * 审核人
     */
    private String auditPeople;

    /**
     * 项目审核通过时间
     */
    private Date projectAgreeTime;

    /**
     * 初始审核意见
     */
    private String initialAuditOpinion;

    /**
     * 初始修改意见
     */
    private String initialEditOpinion;

    /**
     * 审核意见
     */
    private String auditOpinion;

    /**
     * 修改意见
     */
    private String editOpinion;

    /**
     * 流程id,流程信息
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 超期状态(0:未超期;1:超期)
     */
    private String exceedTimeStatus;


    private JyProjectDTO jyProjectList;

    private JyWorkContractInfoDto jyWorkContractInfoList;

    /**
     * 附件信息
     */
    private List<WorkAttachmentInfo> workAttachmentDtoList;

    private static final long serialVersionUID = 1L;

    /**
     * 校核修改结果认可意见
     */
    private String agreeOpinion;
    private String agreeName;//签名
    private Date agreeDate; //日期

    /**
     * 签发人及日期
     */
    private String submitPeople;
    private Date submitDate;



}
