package com.jeeplus.business.useSeal.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.business.project.domain.JyProject;
import com.jeeplus.business.useSeal.domain.Signet;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SignetDTO  {
    //用印编号（字典值）
    public static final String BIZ_CODE = "37";

    private String procInsId;

    private String processDefinitionId;

    private String taskId;
    /**
     * 审核状态
     */
    private String status;

    /**
     * 用印id
     */
    private String id;

    /**
     * 用印编号
     */
    @Excel(name = "用印编号",width = 16)
    private String no;

    @Excel(name = "用印类型",width = 16)
    private String typeName;

    /**
     * 用印类型(大类)
     */
    private String firstType;

    /**
     * 用印类型(小类)
     */
    private String type;

    /**
     * 用印份数
     */
    @Excel(name = "用印份数",width = 16)
    private Integer number;

    /**
     * 关联项目
     */
    private String projectId;

    /**
     * 关联项目名称
     */
    @Excel(name = "关联项目",width = 16)
    private String projectName;
    @Excel(name = "状态",width = 16)
    private String sealTypeName;

    /*
    说明
     */
    private String remarks;

    /**
     * 类型状态(1:报告 2:报批)
     */
    private String typeStatus;

    /**
     * 申请人部门
     */
    @TableField(exist = false)
    private String office;

    /**
     * 创建人
     */
    private String createById;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间",width = 16,exportFormat = "yyyy-MM-dd")
    private Date createDate;
    @Excel(name = "申请人",width = 16)
    private String createByName;

    /**
     * 修改人
     */
    private String updateById;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;


    /**
     *创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String[] createDates;

    /**
     * 附件
     */
    private List<WorkAttachmentInfo> files;

    private List<JyProject> projectList;
    /**
     * 用印类型集合
     */
    private List<String> types;

    /*
        逾期状态
     */
    private String exceedTimeStatus;

}
