package com.jeeplus.file;

import com.baomidou.mybatisplus.autoconfigure.MybatisPlusAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * file模块
 *
 * @author liugf
 */


@EnableCaching
@EnableDiscoveryClient
@EnableFeignClients({"com.jeeplus.*"})
@SpringBootApplication(scanBasePackages = {"com.jeeplus", "cn.hutool.extra.spring"}, exclude = {
        DataSourceAutoConfiguration.class,
        MybatisPlusAutoConfiguration.class,
        org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class
}
)
public class JeeplusFileApplication {
    public static void main(String[] args) {
        SpringApplication.run ( JeeplusFileApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 文件系统模块启动成功 ^_^ﾞ  \n" + "    _                         _                    __   _   _        \n" +
                "   (_)                       | |                  / _| (_) | |       \n" +
                "    _    ___    ___   _ __   | |  _   _   ___    | |_   _  | |   ___ \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|   |  _| | | | |  / _ \\\n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   | |   | | | | |  __/\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/   |_|   |_| |_|  \\___|\n" +
                "  _/ |               | |                                             \n" +
                " |__/                |_|                                             " );
    }

}
