package com.jeeplus.finance.common.enterpriseSearch;

import lombok.Data;

/**
 * 企业查询DTO
 *     "ENTNAME": "用友网络科技股份有限公司", //企业全称
 *     "OPLOC": "北京市海淀区北清路68号", //注册地址
 *     "UNCID": "91110000600001760P",  //统一信用代码
 *     "GONGSH": "110000005119254", //工商注册号
 *     "ORGCODE": "600001760", //组织机构代码
 *     "HASUNIFY": true, //是否三证合一
 *     "TAXNUMBER": "91110000600001760P", //税号（同统一信用代码）
 */
@Data
public class EnterpriseSearchDTO  {

    /**
     * 企业全称
     */
    private String ENTNAME;

    /**
     * 注册地址
     */
    private String OPLOC;

    /**
     * 统一信用代码
     */
    private String UNCID;

    /**
     * 工商注册号
     */
    private String GONGSH;

    /**
     * 组织机构代码
     */
    private String ORGCODE;

    /**
     * 是否三证合一
     */
    private Boolean HASUNIFY;

    /**
     * 税号（同统一信用代码）
     */
    private String TAXNUMBER;

}
