package com.jeeplus.finance.contractRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-10 16:06
 **/
@Data
@TableName(value = "cw_work_contract_file")
public class ContractFile extends BaseEntity {

    @TableField(exist = false)
    private String fileId;

    /**
     * 合同登记主键值
     */
    private String contractInfoId;
    /**
     * 流程id
     */
    private String procInsId;
    private String processDefinitionId;
    /**
     * 归档人
     */
    private String fileCreateName;
    /**
     * 归档状态
     */
    private String filedType;
    /**
     * 归档完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String filedData;
    /**
     * 案卷号
     */
//    private String filedNo;
    /**
     * 确认案卷号
     */
//    private String confirmFiledNo;

    @TableField(exist = false)
    private String createId;       //创建人id

    /**
     * 客户名称
     */
    @TableField(exist = false)
    private String customerName;

    /**
     * 客户编号
     */
    @TableField(exist = false)
    private String customerNo;

    /**
     * 合同正文附件信息
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfo> contractProperList;

    /**
     * 归档附件信息
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfo> contractInfoList;
}
