package com.jeeplus.finance.projectReport.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.service.dto.OfficeDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 报告数据表
 * @author: 徐滕
 * @version: 2022-11-10 15:02
 */
@Data
public class CwProjectReportDataDTO extends BaseDTO {
    private static final long serialVersionUID = 1L;

    //项目编号（字典值）
    public static final String BIZ_CODE = "14";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 报告日期
     */
    private Date reportDate;

    /**
     * 被服务单位
     */
    private String serviceUnit;

    /**
     * 报告流水号
     */
    private String reportDataSerialNumber;

    /**
     * 报告文号
     */
    private String reportDataNumber;

    /**
     * 是否出具报告
     */
    private String isMakeReport;

    /**
     * 意见类型
     * 1：标准无保留
     * 2：保留意见
     * 3：无法表示意见
     * 4：无保留带强调事项段
     * 5：无保留带其他事项段
     * 6：无保留带持续经营段
     * 7：否定意见
     * 8：其他
     */
    private String remarksType;

    /**
     * 盖章类型（默认：未盖章）
     */
    private String sealType;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 报告文件列表
     */
    private List<ProjectReportWorkAttachmentDTO> attachmentDTOList;
}
