package com.jeeplus.finance.projectReportArchive.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import lombok.Data;

/**
 * 财务-项目报告归档-项目归档
 * @TableName cw_project_report_archive
 */
@Data
@TableName("cw_project_report_archive")
public class CwProjectReportArchive extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 档案名称
     */
    @Query(tableColumn = "cw_pa.name",type = QueryType.LIKE)
    private String name;

    /**
     * 被审计单位
     */
    private String auditedUnits;

    /**
     * 报告册数
     */
    private String reportNum;

    /**
     * 底稿册数
     */
    private String papersNum;

    /**
     * 档案年度
     */
    @Query(tableColumn = "cw_pa.year",type = QueryType.EQ)
    private String year;

    /**
     * 案卷号
     */
    @Query(tableColumn = "cw_pa.number",type = QueryType.LIKE)
    private String number;

    /**
     * 确认案卷号
     */
    private String isNumber;

    /**
     * 归档时间
     */
    private Date auditDate;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    /**
     * 状态
     */
    @Query(tableColumn = "cw_pa.status",type = QueryType.EQ)
    private String status;

    /**
     * 档案号
     */
    @Query(tableColumn = "cw_pa.file_number",type = QueryType.LIKE)
    private String fileNumber;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 审计意见
     */
    private String reportRemarks;

    /**
     * 审计收费
     */
    private String auditMoney;


    private static final long serialVersionUID = 1L;
}
