package com.jeeplus.finance.reportCancellApplyArchived.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.finance.projectRecords.service.dto.CwProjectRecordsDTO;
import com.jeeplus.finance.projectReportArchive.service.dto.CwProjectReportArchiveReportDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 财务-报告作废归档-报告作废归档
 */
@Data
public class ApplyArchiveReportDTO extends BaseDTO {

    public static final String BIZ_CODE = "15";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 档案名称
     */
    @Excel(name = "档案名称",width = 25,orderNum = "0")
    private String name;

    /**
     * 被审计单位
     */
//    private String auditedUnits;

    /**
     * 报告册数
     */
    @Excel(name = "报告册数",width = 25,orderNum = "5")
    private String reportNum;

    /**
     * 底稿册数
     */
    @Excel(name = "底稿册数",width = 25,orderNum = "6")
    private String papersNum;

    /**
     * 档案年度
     */
    @Excel(name = "档案年度",width = 25,orderNum = "7")
    private String year;

    /**
     * 案卷号
     */
    @Excel(name = "案卷号",width = 25,orderNum = "8")
    private String number;

    /**
     * 确认案卷号
     */
    private String isNumber;

    /**
     * 归档时间
     */
    @Excel(name = "归档时间",exportFormat = "yyyy-MM-dd HH:mm:ss",width = 25,orderNum = "10")
    private Date auditDate;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 项目信息
     */
    private CwProjectRecordsDTO cwProjectRecordsDTO;

    /**
     * 其他附件
     */
    private List<CwWorkAttachmentArchiveDto> workAttachmentDtoList;

    /**
     * 审计报告
     */
    private List<CwProjectReportArchiveReportDTO> cwProjectReportArchiveReportDTOList;

    /**
     * 被审计单位名称
     */
//    @Excel(name = "被审计单位",width = 25,orderNum = "4")
//    private String auditedUnitsName;

    /**
     * 归档时间区间
     */
    private String[] auditDates;

    /**
     * 创建时间区间
     */
    private String[] createDates;

    /**
     * 报告文号
     */
    @Excel(name = "报告文号",width = 25,orderNum = "9")
    private String reportNo;

    /**
     * 档案号
     */
    @Excel(name = "档案号",width = 25,orderNum = "1")
    private String fileNumber;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称",width = 25,orderNum = "2")
    private String projectName;

    /**
     * 项目经理
     */
    @Excel(name = "项目经理",width = 25,orderNum = "3")
    private String projectMasterName;

    /**
     * 创建人姓名
     */
    @Excel(name = "创建人",width = 25,orderNum = "11")
    private String createName;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间",exportFormat = "yyyy-MM-dd HH:mm:ss",width = 25,orderNum = "12")
    private String createDateT;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 审计意见
     */
    private String reportRemarks;

    /**
     * 报告日期
     */
    private Date reportDate;

    /**
     * 报告主办人
     */
    private String reportCreateName;

    /**
     * 签字注师1
     */
    private String signatureAnnotator1Name;

    /**
     * 签字注师2
     */
    private String signatureAnnotator2Name;

    /*
    报告作废id
     */
    private String archiveId;

    private static final long serialVersionUID = 1L;

    /**
     * 归档类型
     */
    private String carchivedType;

    /**
     * 报告作废归档流程id
     */
    private String cwProcInsId;

    /**
     *
     */
    private String cwProDefId;

    /**
     * 报告作废归档状态
     */
    private String applyFileType;
}
