package com.jeeplus.finance.reportCancellApplyArchived.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.util.List;

/**
 * 报告申请信息
 * @author: 王强
 * @create: 2022-11-20 11:34
 **/
@Data
public class ArchivedReportInfoDto extends BaseDTO {
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private String createById;

    @TableField(exist = false)
    private String createId;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号",width = 25,orderNum = "2")
    private String projectNumber;

    /**
     * 创建人
     */
    @Excel(name = "创建人",width = 10,orderNum = "8")
    private String userName;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间",exportFormat = "yyyy-MM-dd",width = 25,orderNum = "9")
    private String createDateT;

    /**
     * 报告所属部门
     */
    @Excel(name = "报告所属部门",width = 25,orderNum = "5")
    private String departmentName;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 报告文号
     */
    @Excel(name = "报告文号",width = 25,orderNum = "4")
    private String reportNo;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称",width = 35,orderNum = "3")
    private String projectName;

    /**
     * 报告主办人
     */
    private String reportSponsor;

    /**
     * 报告主办人id
     */
    private String reportSponsorId;

    /**
     * 报告作废原因
     */
    private String cancellateReason;

    /**
     * 报告申请单号
     */
    @Excel(name = "单据编号",width = 14,orderNum = "1")
    private String documentNo;

    /**
     * 单据状态（报告流程status为5的）
     */
    private String documentStatus;

    /**
     * 项目经理姓名
     */
    @Excel(name = "项目经理1",width = 10,orderNum = "6")
    private String projectMasterName;

    /**
     * 项目经理id
     */
    @TableField(exist = false)
    private String projectMasterId;

    /**
     * 新建行id
     */
    private String reportNewLineId;

    /**
     * 状态
     */
    private String status;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 创建时间区间
     */
    @TableField(exist = false)
    private String[] contractDates;

    /**
     * 报告作废归档状态
     */
    @Excel(name = "作废归档状态",width = 14,orderNum = "10",dict = "filed_type")
    private String applyFileType;

    /**
     * 报告作废归档流程id
     */
    @TableField(exist = false)
    private String cwProcInsId;

    /**
     *
     */
    @TableField(exist = false)
    private String cwProDefId;

    /**
     * 项目经理2id
     */
    @TableField(exist = false)
    private String projectMaster2Id;

    /**
     * 项目经理2name
     */
    @TableField(exist = false)
    @Excel(name = "项目经理2",width = 10,orderNum = "7")
    private String projectMaster2Name;

    @TableField(exist = false)
    private String archivedTaskId;

    /**
     * 数据审核人  报告作废归档
     */
    private List<String> auditUserIdsArchived;
    /**
     * 案卷号
     */
    private String number;

}
