package com.jeeplus.finance.workClientInfo.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-客户信息管理-客户分类
 * @TableName cw_work_client_type
 */
@Data
@TableName("cw_work_client_type")
public class CwWorkClientType extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 是否上市
     */
    private String isListed;

    /**
     * 上市类型
     */
    private String listedType;

    /**
     * 独资或控股公司数
     */
    private String holdingCompNum;

    /**
     * 控股上市公司数
     */
    private String holdingListedCompNum;

    /**
     * 股票代码
     */
    private String stockSymbol;

    /**
     * 股票简称
     */
    private String stockAbbreviation;

    /**
     * 发行日期
     */
    private Date releaseDate;

    /**
     * 上市日期
     */
    private Date listedDate;

    /**
     * 证券市场
     */
    private String securitiesMarket;

    /**
     * 控股自然人姓名
     */
    private String controlNaturalPerson;

    /**
     * 首次发行签字注师1
     */
    private String signatory1;

    /**
     * 首次发行签字注师2
     */
    private String signatory2;

    /**
     * 首次承接业务日期
     */
    private Date undertakeBusinessDate;

    /**
     * 是否变更事务所
     */
    private String isChangeFirm;

    /**
     * 前任事务所
     */
    private String formerFirm;

    /**
     * 事务所变更原因
     */
    private String firmChangeCause;

    /**
     * 按所有制性质分类
     */
    private String ownershipType;

    /**
     * 按监管要求分类
     */
    private String supervisionRequestType;

    /**
     * 按最终地位分类
     */
    private String finalStatusType;

    /**
     * 主管税务机关
     */
    private String taxAuthorities;

    private static final long serialVersionUID = 1L;
}
