package com.jeeplus;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 工作流模块
 *
 * @author jeeplus
 */


@EnableDiscoveryClient
@EnableFeignClients({"com.jeeplus.*"})
@SpringBootApplication(scanBasePackages = {"com.jeeplus", "cn.hutool.extra.spring", "org.flowable.ui.modeler", "org.flowable.ui.common"},
        exclude = {
                DataSourceAutoConfiguration.class,
                org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class
        }
)
public class JeeplusFlowableApplication {
    public static void main(String[] args) {
        SpringApplication.run ( JeeplusFlowableApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 工作流模块启动成功 ^_^ﾞ  \n" + "    _                         _                    __   _                              _       _        \n" +
                "   (_)                       | |                  / _| | |                            | |     | |       \n" +
                "    _    ___    ___   _ __   | |  _   _   ___    | |_  | |   ___   __      __   __ _  | |__   | |   ___ \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|   |  _| | |  / _ \\  \\ \\ /\\ / /  / _` | | '_ \\  | |  / _ \\\n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   | |   | | | (_) |  \\ V  V /  | (_| | | |_) | | | |  __/\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/   |_|   |_|  \\___/    \\_/\\_/    \\__,_| |_.__/  |_|  \\___|\n" +
                "  _/ |               | |                                                                                \n" +
                " |__/                |_|                                                                                 " );
    }


}
