package com.jeeplus.pubmodules.collect.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.List;

/**
 * 领用明细表
 * @author: 王强
 * @create: 2023-01-04 14:53
 **/
@Data
@TableName("material_management_collect_detailed")
public class CollectDetailed extends BaseEntity {

    /**
     * 当前库存
     */
    private String currentInventory;

    /**
     * 领用基础表id
     */
    private String basicId;

    /**
     * 领用人
     */
    private String recipientAgent;

    /**
     * 领用人id
     */
    @TableField(exist = false)
    private String recipientAgentId;

    /**
     * 领用人部门
     */
    @TableField(exist = false)
    private String recipientOffice;

    /**
     * 领用类型
     */
    private String collectType;

    /**
     * 领用类型ID
     */
    @TableField(exist = false)
    private String collectTypeId;

    /**
     * 物品名称
     */
    private String goodsName;

    /**
     * 剩余数量
     */
    private String surplusNumber;

    /**
     * 领用数量
     */
    private String collectNumber;

    /**
     * 单位
     */
    private String company;

    /**
     * 备注
     */
    private String remarks;

    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentDto> fileInfoLost;

    /**
     * 0未退回 1已退回
     */
    private String isReturn;
}
