package com.jeeplus.pubmodules.reimApprovalType.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.jeeplus.core.domain.TreeEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.sys.service.dto.OfficeDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 报销类型信息列表
 **/
@Data
@TableName(value = "cw_reimbursement_type_info")
public class CwReimbursementTypeInfo extends TreeEntity<CwReimbursementTypeInfo> {

    private static final long serialVersionUID = 1L;
    /**
     * 层级
     */
    private String level;

    /**
     * 报销类型名称
     */
    @Query
    private String name;

    /**
     * 序号
     */
    @Query
    private Integer sort;

    /**
     * 父节点id
     */
    private String parentId;

    private String parentIds;

    @TableField(exist = false)
    private Boolean disabled = false;

    @TableField(exist = false)
    private String like;

    //关联部门
    @TableField(exist = false)
    private String relateDepartment;

    //报销部门id
    @TableField(exist = false)
    private String officeId;

    /**
     * 关联的officeIdList
     */
    private List<String> officeIdList;

    private List<OfficeDTO> officeDTOList;
}
