package com.jeeplus.pubmodules.supplier.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import lombok.Data;

/**
 * 物资-供应商
 * @TableName material_supplier
 */
@Data
@TableName("material_supplier")
public class MaterialSupplier extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 名称
     */
    @Query(tableColumn = "ms.name",type = QueryType.LIKE)
    private String name;

    /**
     * 是否有社会统一信用代码
     */
    private String isUscCode;

    /**
     * 统一社会信用代码
     */
    private String uscCode;

    /**
     * 归属地区
     */
    private String reconciliationArea;

    /**
     * 供应商性质
     */
    private String characterIs;

    /**
     * 邮政编码
     */
    private String zipCode;

    /**
     * 传真
     */
    private String fax;

    /**
     * 联系电话
     */
    @Query(tableColumn = "ms.tel_phone",type = QueryType.LIKE)
    private String telPhone;

    /**
     * 地址
     */
    private String address;

    private static final long serialVersionUID = 1L;
}
