package com.jeeplus.pubmodules.wareHouse.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.List;

/**
 * 入库明细表
 * @author: 王强
 * @create: 2022-12-29 15:53
 **/
@Data
@TableName("material_management_warehouse_detailed")
public class WareHouseDetailed extends BaseEntity {

    /**
     * 当前库存
     */
    private String currentInventory;

    /**
     * 入库基础表id
     */
    private String basicId;

    /**
     * 入库人
     */
    private String wareHouseMan;

    /**
     * 入库人id
     */
    @TableField(exist = false)
    private String wareHouseManId;

    /**
     * 入库人部门
     */
    @TableField(exist = false)
    private String wareHouseManOffice;

    /**
     * 入库类型
     */
    private String wareHouseType;

    /**
     * 入库类型id
     */
    @TableField(exist = false)
    private String wareHouseTypeId;

    /**
     * 商品名称
     */
    private String tradeName;

    /**
     * 商品单价
     */
    private String tradePrice;

    /**
     * 商品数量
     */
    private String tradeNumber;

    /**
     * 单位
     */
    private String company;

    /**
     * 商品总价
     */
    private String tradeTotalPrice;

    /**
     * 实际价格
     */
    private String actualPrice;

    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentDto> fileInfoLost;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 修改标记  0未修改  1已修改  2已删除
     */
    private String upFlag;

    /**
     * 入库详情数据id
     */
    private String sourceId;

    /**
     * 警告数量
     */
    private String warnNum;

    /**
     * 警告标记  0不警告  1警告
     */
    private String warnFlag;

    /**
     * 供应商id
     */
    private String supplierId;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 1手填供应商  2选择供应商
     */
    private String isSupplier;

    @TableField(exist = false)
    private List<WareHouseDetailed> wareHouseDetailed;
}
