package com.jeeplus.sys.feign;

import com.jeeplus.sys.domain.Role;
import com.jeeplus.sys.service.RoleService;
import com.jeeplus.sys.service.dto.RoleDTO;
import com.jeeplus.sys.service.mapstruct.RoleWrapper;
import com.jeeplus.sys.utils.TenantUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class RoleApiImpl implements IRoleApi {

    @Autowired
    RoleService roleService;


    @Override
    public RoleDTO getRoleDTOByName(String name) {
        return RoleWrapper.INSTANCE.toDTO ( roleService.lambdaQuery ( ).eq ( Role::getTenantId, TenantUtils.getTenantId ( ) ).eq ( Role::getName, name ).one ( ) );
    }

    @Override
    public RoleDTO getRoleDTOById(String id) {
        return RoleWrapper.INSTANCE.toDTO ( roleService.lambdaQuery ( ).eq ( Role::getTenantId, TenantUtils.getTenantId ( ) ).eq ( Role::getId, id ).one ( ) );
    }
}
