package com.jeeplus.domain;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class StaffUserInfoDTO extends BaseEntity {

    /**
     * 员工入职日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")

    private Date inTime;

    /**
     * 用户id
     */
    @ExcelIgnore

    private String userId;

    private String name;                //姓名
    @ExcelIgnore
    private String sex;                 //性别
    @ExcelIgnore
    private String age;                 //年龄
    @ExcelIgnore
    private String birthday;            //出生日期
    @ExcelIgnore
    private String politicalOutlook;    //政治面貌

    private String nativePlace;         //籍贯
    @ExcelIgnore
    private String nation;              //民族
    @ExcelIgnore
    private String maritalStatus;       //婚姻状况

    private String mobilePhone;         //联系电话

    private String idCard;              //身份证号码
    @ExcelIgnore
    private String homeAddress;         //家庭住址
    @ExcelIgnore
    private String permanentAddress;    //常住地址
    @ExcelIgnore
    private String graduatedFrom;       //毕业院校
    @ExcelIgnore
    private String speciality;          //专业
    @ExcelIgnore
    private String startTime;           //开始时间
    @ExcelIgnore
    private String endTime;             //毕业时间
    @ExcelIgnore
    private String education;           //学历
    @ExcelIgnore
    private String educationNature;     //学历性质
    @ExcelIgnore
    private String graduatedOrNot;      //是否毕业
    @ExcelIgnore
    private String englishLevel;        //英语等级
    @ExcelIgnore
    private String ncre;                //计算机等级

    private String department;          //所属部门
    @ExcelIgnore
    private String departmentName;
    @ExcelIgnore
    private String remarks;             //备注
    @ExcelIgnore

    private String type;                //流程状态
    @ExcelIgnore
    private String procInsId;
    @ExcelIgnore
    private String processDefinitionId;
    @ExcelIgnore

    private String onJobStatus;       //在职状态
    @ExcelIgnore
    private String roleId;            //角色
    @ExcelIgnore
    private String postId;            //岗位
    @ExcelIgnore
    private String bankNumber;        //银行账号
    @ExcelIgnore
    private String email;               //邮箱
    @ExcelIgnore
    private String fundNumber;          //公积金账号
    @ExcelIgnore
    private String managerOffice;       //管理部门




    //部门
    @ExcelIgnore
    private String officeId;
    @ExcelIgnore

    private String officeName;
    @ExcelIgnore

    private String createName;

    private Date createTime;


    //员工状态
    @ExcelIgnore

    private String loginFlag;

    private String flagName;

    //创建时间
    @ExcelIgnore
    private String[] createDates;

    //角色名称
    @ExcelIgnore

    private String roleName;
    @ExcelIgnore
    private List<String> roleIdList;
    @ExcelIgnore
    private List<String> postIdList;
    @ExcelIgnore
    private List<String> manageList;
    @ExcelIgnore
    private String taskId;

    private String timeLimit;   //试用期限


    //转正申请
    private String procInsIdApply;
    private String procDefIdApply;
    private String taskIdApply;
    private String applyId;
    private String applyStatus;




}
